import type { ReactText } from 'react';
import type { OptionData, SelectedOption } from '../types';
/**
 * Tests if object is an array with at least 1 item.
 */
export declare function isArrayWithLength(test: any): boolean;
/**
 * Tests for a 'plain, classic' object (non-primitive type that is not an array).
 */
export declare function isPlainObject(test: any): boolean;
/**
 * Apply regex to string, and if the value is NOT case sensitive,
 * call .toLowerCase() and return result.
 */
export declare function trimAndFormatFilterStr(value: string, filterIgnoreCase?: boolean, filterIgnoreAccents?: boolean): string;
/**
 * Builds the className property in Option.tsx component.
 */
export declare function optionClassNames(isDisabled?: boolean, isSelected?: boolean, isFocused?: boolean): string;
/**
 * Parses an object or an array of objects into output of SelectedOption[].
 */
export declare const normalizeValue: (value: any, getOptionValue: (data: OptionData) => ReactText, getOptionLabel: (data: OptionData) => ReactText) => SelectedOption[];
/**
 * Immutable implementation of mergeDeep for two objects. Will return the merged result.
 * In first condition of if/else block - check that property is no 'animation',
 * since we never want to merge that complex styled-component object.
 */
export declare const mergeDeep: <T>(target: any, source: any) => T;
